Update for the NuGet package for .NET 2 support ?

May 24, 2011 at 8:48 AM

The current CommonServiceLocator package targets only specific framework versions NET35 & SL30.

A project for .NET20 can't use the nuget package (quite ironic since the release provided here is only for .net 2)

Apr 11, 2014 at 10:48 AM
Edited Apr 11, 2014 at 10:48 AM
Quite surprised that you released a PCL version and still no support for .net 2, beside the fact that the source code is totally compatible with older framework ?

It takes me 15 minutes to create 2 projects targeting .net 2 & .net 3.5 and adding existing files as link, copy the test projects then update the nuspec to include all versions.

I have submitted a pull request to include it in master, with the minimum changes necessary : https://commonservicelocator.codeplex.com/SourceControl/network/forks/styx31/258764/contribution/6593